MarinerWrtGraphInternal::Pattern Struct Reference

Internal: the struct use to store a pattern in MarinerWrtGraph. More...

## Public Member Functions

| Pattern ()
| constructor with default pattern
| Pattern (uint16_t const *pat, bool uniform)
| constructor ( 4 uint16_t by pattern )

## Public Attributes

bool | m_uniform
| a flag to know if the pattern is uniform or not
MWAWGraphicStyle::Pattern | m_pattern
| the graphic style pattern
float | m_percent
| the percent color

## Detailed Description

Internal: the struct use to store a pattern in MarinerWrtGraph.

## Constructor & Destructor Documentation

## Pattern() [1/2]

MarinerWrtGraphInternal::Pattern::Pattern | ( |  | ) |

inline

constructor with default pattern

## Pattern() [2/2]

MarinerWrtGraphInternal::Pattern::Pattern | ( | uint16_t const * | pat,
|  | bool | uniform )

inline

constructor ( 4 uint16_t by pattern )

## Member Data Documentation

## m_pattern

MWAWGraphicStyle::Pattern MarinerWrtGraphInternal::Pattern::m_pattern

the graphic style pattern

Referenced by Pattern(), Pattern(), and MarinerWrtGraph::sendRule().

## m_percent

float MarinerWrtGraphInternal::Pattern::m_percent

the percent color

Referenced by Pattern(), Pattern(), and MarinerWrtGraph::sendRule().

## m_uniform

bool MarinerWrtGraphInternal::Pattern::m_uniform

a flag to know if the pattern is uniform or not

Referenced by Pattern(), Pattern(), and MarinerWrtGraph::sendRule().

The documentation for this struct was generated from the following file:

- MarinerWrtGraph.cxx